EDIT - feature request #5921

Change symbol for congruence relationship.
06/27/2016 01:15 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: normal

Description

Und das Zeichen beim Konzeptsynonym irritiert mich — sichere Kongruenz sollte doch das Gleichheitszeichen mit einem Dach sein
(delta equal to). Die Schlangellinie sieht immer nach etwas ungefdhrem aus. Wenn das nicht geht, fande ich das Identitatszeichen
besser.

Associated revisions

Revision 2a562e3e - 07/08/2016 08:36 PM - Andreas Miiller

#5921 Change symbol for congruence relationship.

History

#1 - 06/27/2016 01:49 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to COM UML 4.1

Hallo,
Und das Zeichen beim Konzeptsynonym irritiert mich — sichere Kongruenz sollte doch das Gleichheitszeichen mit einem Dach sein (delta equal
to). Die Schlangellinie sieht immer nach etwas ungefahrem aus. Wenn das nicht geht, fande ich das Identitatszeichen besser.

Welches Zeichen meinst du genau? ,Delta equal to* hat nicht ein Dach sondern ein Dreieck

http://www.fileformat.info/info/unicode/char/225c/index.htm

Das Zeichen mit Dach heif3t Estimates, was semantisch fragwiirdig ist, genauso wie das Schlangenzeichen:

http://www_fileformat.info/info/unicode/char/2259/index.htm

Alle relevanten Zeichen findest du hier:

http://www fileformat.info/info/unicode/category/Sm/list.htm

Ich habe jetzt mal in der Mexico DB das Dachzeichen hinterlegt (bisher nur fur einfache Kongruenz), kannst du mal drauf schauen, ob das dem
entspricht, was dir vorschwebt.

Ich versuche mich zu erinnern, warum wir das jetzige Zeichen genommen haben. Vielleicht hatte es mit Lesbarkeit oder so zu tun, die bei dem
Dachzeichen nicht so gut ist. Aber semantisch ist das natirlich kritisch, das stimmt schon.

Ich habe auch ein Ticket angelegt: http:/dev.e-taxonomy.eu/trac/ticket/5921

Viele Grif3e,

Andreas M.

#2 - 07/08/2016 05:37 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#3 - 07/08/2016 08:37 PM - Andreas Miiller

- Status changed from In Progress to Resolved

Fixed by r28665
#4 - 11/16/2016 04:23 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

#5 - 11/21/2016 01:40 PM - Andreas Muller

- Private changed from Yes to No
